Loading...
Searching...
No Matches
Airframe Class Reference

Represents the structural body and aerodynamic shell of a rocket stage. More...

`#include <Airframe.h>`

## Public Member Functions

| Airframe (const std::string &name, double length, double diameter, double dryMass, double dragCoefficient)
| Constructs a new Airframe.
| ~Airframe ()=default
| Default destructor.
double | getLength () const
| Gets the total length of the airframe.
double | getDiameter () const
| Gets the maximum diameter of the airframe.
double | getDryMass () const
| Gets the dry mass of the airframe.
double | getDragCoefficient () const
| Gets the aerodynamic drag coefficient.
double | getReferenceArea () const
| Calculates the reference area for drag computation.
const std::string & | getName () const
| Gets the name of the airframe.

## Private Attributes

std::string | name_
| Name of the airframe.
double | length_
| Total length [m].
double | diameter_
| Maximum diameter [m].
double | dryMass_
| Structural dry mass [kg].
double | dragCoefficient_
| Drag coefficient (Cd).

## Detailed Description

Represents the structural body and aerodynamic shell of a rocket stage.

The Airframe class manages geometric dimensions, mass properties, and aerodynamic characteristics needed for simulation.

## Constructor & Destructor Documentation

## Airframe()

Airframe::Airframe | ( | const std::string & | name,
|  | double | length,
|  | double | diameter,
|  | double | dryMass,
|  | double | dragCoefficient )

Constructs a new Airframe.

Parameters

  name | Name of the airframe component.
  length | Total length of the airframe (meters).
  diameter | Maximum body diameter (meters).
  dryMass | Dry mass of the airframe structure (kilograms).
  dragCoefficient | Estimated drag coefficient (unitless).

## ~Airframe()

Airframe::~Airframe | ( |  | ) |

default

Default destructor.

## Member Function Documentation

## getDiameter()

double Airframe::getDiameter | ( |  | ) | const

Gets the maximum diameter of the airframe.

Returns
  Diameter in meters.

## getDragCoefficient()

double Airframe::getDragCoefficient | ( |  | ) | const

Gets the aerodynamic drag coefficient.

Returns
  Drag coefficient (dimensionless).

## getDryMass()

double Airframe::getDryMass | ( |  | ) | const

Gets the dry mass of the airframe.

Returns
  Mass in kilograms.

## getLength()

double Airframe::getLength | ( |  | ) | const

Gets the total length of the airframe.

Returns
  Length in meters.

## getName()

const std::string & Airframe::getName | ( |  | ) | const

Gets the name of the airframe.

Returns
  Name as a constant reference.

## getReferenceArea()

double Airframe::getReferenceArea | ( |  | ) | const

Calculates the reference area for drag computation.

Reference area = Pi * (diameter / 2)^2

Returns
  Cross-sectional area in square meters.

## Member Data Documentation

## diameter_

double Airframe::diameter_

private

Maximum diameter [m].

## dragCoefficient_

double Airframe::dragCoefficient_

private

Drag coefficient (Cd).

## dryMass_

double Airframe::dryMass_

private

Structural dry mass [kg].

## length_

double Airframe::length_

private

Total length [m].

## name_

std::string Airframe::name_

private

Name of the airframe.

The documentation for this class was generated from the following files:

- include/Airframe.h
- src/Airframe.cpp